#ifndef PRICESORTFILTERPROXYMODEL_H
#define PRICESORTFILTERPROXYMODEL_H

#include <QSortFilterProxyModel>

class PriceSortFilterProxyModel : public QSortFilterProxyModel // speciális szűrőmodell az értékhatárokra
{
    Q_OBJECT
public:
    PriceSortFilterProxyModel(QObject *parent = 0);

public slots:
    void setFilterPriceBoundaries(int min, int max); // új értékhatárok az árra

protected:
    bool filterAcceptsRow(int sourceRow, const QModelIndex &sourceParent) const; // sorok elfogadásának felüldefiniálása

private:
    int _minPrice;
    int _maxPrice;
};

#endif // PRICESORTFILTERPROXYMODEL_HPP
